Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357119 - [abrt] webkitgtk4: IPC::Connection::didFailToSendSyncMessage(): WebKitWebProcess killed by SIGSEGV
Summary: [abrt] webkitgtk4: IPC::Connection::didFailToSendSyncMessage(): WebKitWebProc...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk4
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:038be24bbfb9943d2a954ec461d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 19:45 UTC by Joachim Frieben
Modified: 2016-08-05 00:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 13:51:24 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-15 19:45 UTC, Joachim Frieben
no flags Details
File: cgroup (deleted)
2016-07-15 19:45 UTC, Joachim Frieben
no flags Details
File: core_backtrace (deleted)
2016-07-15 19:45 UTC, Joachim Frieben
no flags Details
File: dso_list (deleted)
2016-07-15 19:45 UTC, Joachim Frieben
no flags Details
File: environ (deleted)
2016-07-15 19:45 UTC, Joachim Frieben
no flags Details
File: exploitable (deleted)
2016-07-15 19:45 UTC, Joachim Frieben
no flags Details
File: limits (deleted)
2016-07-15 19:46 UTC, Joachim Frieben
no flags Details
File: maps (deleted)
2016-07-15 19:46 UTC, Joachim Frieben
no flags Details
File: mountinfo (deleted)
2016-07-15 19:46 UTC, Joachim Frieben
no flags Details
File: namespaces (deleted)
2016-07-15 19:46 UTC, Joachim Frieben
no flags Details
File: open_fds (deleted)
2016-07-15 19:46 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (deleted)
2016-07-15 19:46 UTC, Joachim Frieben
no flags Details
File: var_log_messages (deleted)
2016-07-15 19:46 UTC, Joachim Frieben
no flags Details


Links
System ID Priority Status Summary Last Updated
WebKit Project 160244 None None None 2016-07-27 13:51:24 UTC

Description Joachim Frieben 2016-07-15 19:45:42 UTC
Version-Release number of selected component:
webkitgtk4-2.12.3-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 25
crash_function: IPC::Connection::didFailToSendSyncMessage
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     3269
kernel:         4.6.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 IPC::Connection::didFailToSendSyncMessage at /usr/src/debug/webkitgtk-2.12.3/Source/WebKit2/Platform/IPC/Connection.cpp:873
 #7 IPC::Connection::sendSyncMessage at /usr/src/debug/webkitgtk-2.12.3/Source/WebKit2/Platform/IPC/Connection.cpp:504
 #8 IPC::Connection::sendSync<Messages::WebPageProxy::CreatePluginContainer>(Messages::WebPageProxy::CreatePluginContainer&&, Messages::WebPageProxy::CreatePluginContainer::Reply&&, unsigned long, std::chrono::duration<long, std::ratio<1l, 1000l> >, unsigned int) at /usr/src/debug/webkitgtk-2.12.3/Source/WebKit2/Platform/IPC/Connection.h:385
 #9 IPC::MessageSender::sendSync<Messages::WebPageProxy::CreatePluginContainer>(Messages::WebPageProxy::CreatePluginContainer&&, Messages::WebPageProxy::CreatePluginContainer::Reply&&, unsigned long, std::chrono::duration<long, std::ratio<1l, 1000l> >, unsigned int) at /usr/src/debug/webkitgtk-2.12.3/Source/WebKit2/Platform/IPC/MessageSender.h:66
 #10 IPC::MessageSender::sendSync<Messages::WebPageProxy::CreatePluginContainer>(Messages::WebPageProxy::CreatePluginContainer&&, Messages::WebPageProxy::CreatePluginContainer::Reply&&, std::chrono::duration<long, std::ratio<1l, 1000l> >, unsigned int) at /usr/src/debug/webkitgtk-2.12.3/Source/WebKit2/Platform/IPC/MessageSender.h:58
 #11 WebKit::PluginView::createPluginContainer at /usr/src/debug/webkitgtk-2.12.3/Source/WebKit2/WebProcess/Plugins/PluginView.cpp:1704
 #12 WebKit::PluginProxy::createPluginContainer at /usr/src/debug/webkitgtk-2.12.3/Source/WebKit2/WebProcess/Plugins/PluginProxy.cpp:701
 #13 IPC::callMemberFunctionImpl<WebKit::PluginProxy, void (WebKit::PluginProxy::*)(unsigned long&), std::tuple<>, , std::tuple<unsigned long>, 0ul>(WebKit::PluginProxy*, void (WebKit::PluginProxy::*)(unsigned long&), std::tuple<>&&, std::tuple<unsigned long>&, std::index_sequence<>, std::index_sequence<0ul>) at /usr/src/debug/webkitgtk-2.12.3/Source/WebKit2/Platform/IPC/HandleMessage.h:30
 #14 IPC::callMemberFunction<WebKit::PluginProxy, void (WebKit::PluginProxy::*)(unsigned long&), std::tuple<>, std::make_index_sequence<0ul>, std::tuple<unsigned long>, std::make_index_sequence<1ul> >(std::tuple<>&&, std::tuple<unsigned long>&, WebKit::PluginProxy*, void (WebKit::PluginProxy::*)(unsigned long&)) at /usr/src/debug/webkitgtk-2.12.3/Source/WebKit2/Platform/IPC/HandleMessage.h:36
 #15 IPC::handleMessage<Messages::PluginProxy::CreatePluginContainer, WebKit::PluginProxy, void (WebKit::PluginProxy::*)(unsigned long&)> at /usr/src/debug/webkitgtk-2.12.3/Source/WebKit2/Platform/IPC/HandleMessage.h:105

Comment 1 Joachim Frieben 2016-07-15 19:45:50 UTC
Created attachment 1180248 [details]
File: backtrace

Comment 2 Joachim Frieben 2016-07-15 19:45:52 UTC
Created attachment 1180249 [details]
File: cgroup

Comment 3 Joachim Frieben 2016-07-15 19:45:54 UTC
Created attachment 1180250 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2016-07-15 19:45:56 UTC
Created attachment 1180251 [details]
File: dso_list

Comment 5 Joachim Frieben 2016-07-15 19:45:58 UTC
Created attachment 1180252 [details]
File: environ

Comment 6 Joachim Frieben 2016-07-15 19:45:59 UTC
Created attachment 1180253 [details]
File: exploitable

Comment 7 Joachim Frieben 2016-07-15 19:46:01 UTC
Created attachment 1180254 [details]
File: limits

Comment 8 Joachim Frieben 2016-07-15 19:46:05 UTC
Created attachment 1180255 [details]
File: maps

Comment 9 Joachim Frieben 2016-07-15 19:46:06 UTC
Created attachment 1180256 [details]
File: mountinfo

Comment 10 Joachim Frieben 2016-07-15 19:46:08 UTC
Created attachment 1180257 [details]
File: namespaces

Comment 11 Joachim Frieben 2016-07-15 19:46:10 UTC
Created attachment 1180258 [details]
File: open_fds

Comment 12 Joachim Frieben 2016-07-15 19:46:12 UTC
Created attachment 1180259 [details]
File: proc_pid_status

Comment 13 Joachim Frieben 2016-07-15 19:46:14 UTC
Created attachment 1180260 [details]
File: var_log_messages

Comment 14 Michael Catanzaro 2016-07-27 13:54:03 UTC
*** Bug 1325815 has been marked as a duplicate of this bug. ***

Comment 15 Michael Catanzaro 2016-08-05 00:31:12 UTC
*** Bug 1364284 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.